EscalationSchemeForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.EscalationSchemeForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class EscalationSchemeForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.EscalationSchemeForm

All Implemented Interfaces:
  java.io.Serializable

    public class EscalationSchemeForm

extends ResourceForm

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`EscalationSchemeForm()`

Method Summary
`EscalationActionBean` | `getAction(int index)`
`EscalationActionBean[]` | `getActions()`
`int` | `getAd()`
`java.lang.Integer` | `getEscId()`
`java.lang.String` | `getEscName()`
`int` | `getGad()`
`java.lang.String` | `getMode()`
`int` | `getNotification()`
`long` | `getPauseRange()`
`boolean` | `isAllowPause()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `resetActions()`
`void` | `setAd(int ad)`
`void` | `setAllowPause(boolean allowPause)`
`void` | `setEscId(java.lang.Integer escId)`
`void` | `setEscName(java.lang.String escName)`
`void` | `setGad(int gad)`
`void` | `setMode(java.lang.String mode)`
`void` | `setNotification(int notification)`
`void` | `setNumActions(int numActions)`
`void` | `setPauseRange(long pauseRange)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EscalationSchemeForm

    public EscalationSchemeForm()

Method Detail

### getEscId

    public java.lang.Integer getEscId()

### setEscId

    public void setEscId(java.lang.Integer escId)

### getMode

    public java.lang.String getMode()

### setMode

    public void setMode(java.lang.String mode)

### getEscName

    public java.lang.String getEscName()

### setEscName

    public void setEscName(java.lang.String escName)

### isAllowPause

    public boolean isAllowPause()

### setAllowPause

    public void setAllowPause(boolean allowPause)

### getNotification

    public int getNotification()

### setNotification

    public void setNotification(int notification)

### getPauseRange

    public long getPauseRange()

### setPauseRange

    public void setPauseRange(long pauseRange)

### getAd

    public int getAd()

### setAd

    public void setAd(int ad)

### getGad

    public int getGad()

### setGad

    public void setGad(int gad)

### getActions

    public EscalationActionBean[] getActions()

### getAction

    public EscalationActionBean getAction(int index)

### setNumActions

    public void setNumActions(int numActions)

### resetActions

    public void resetActions()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.